# Uses of Interface
org.eclipse.text.undo.IDocumentUndoManager

Packages that use IDocumentUndoManager
Package
Description
org.eclipse.text.undo
Provides undo and redo support for a document.

## Uses of IDocumentUndoManager in org.eclipse.text.undo

Classes in org.eclipse.text.undo that implement IDocumentUndoManager
Modifier and Type
Class
Description
`class`
`DocumentUndoManager`
A standard implementation of a document-based undo manager that creates an undo history based on changes to its document.
Methods in org.eclipse.text.undo that return IDocumentUndoManager
Modifier and Type
Method
Description
`static IDocumentUndoManager`
DocumentUndoManagerRegistry.`getDocumentUndoManager(IDocument document)`
Returns the file buffer managed for the given location or `null` if there is no such file buffer.
Methods in org.eclipse.text.undo with parameters of type IDocumentUndoManager
Modifier and Type
Method
Description
`void`
DocumentUndoManager.`transferUndoHistory(IDocumentUndoManager manager)`
`void`
IDocumentUndoManager.`transferUndoHistory(IDocumentUndoManager manager)`
Transfers the undo history from the specified document undo manager to this undo manager.